--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: "Tracks objects to help ensure that each object gets loaded only once. See: http://www.martinfowler.com/eaaCatalog/identityMap.html"
constants: []

full_name: DataMapper::IdentityMap
includes: []

instance_methods: []

name: IdentityMap
superclass: Hash
